package com.jeeww.web.admin.dto.usermanage;

import java.io.Serializable;

/**
 * 用户信息表 实体类. 作者:蒋文武 创建日期: 2014-02-16 07:57:38
 */
public class UserManageDTO implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 组织机构主键.
     */
    private String orgId;
    /**
     * 用户主键.
     */
    private String userId;
    /**
     * 用户名称.
     */
    private String userName;
    /**
     * 登录名称.
     */
    private String loginName;
    /**
     * 登录密码.
     */
    private String loginPassword;
    /**
     * 登录密码.
     */
    private String newPassword;
    /**
     * 登录密码.
     */
    private String newPasswordConfirm;

    /**
     * 用户性别.
     */
    private String userSex;
    /**
     * 用户电话.
     */
    private String userPhone;
    /**
     * 用户地址.
     */
    private String userAddress;
    /**
     * 应用标志.
     */
    private String usedFlag;
    /**
     * 创建日期.
     */
    private java.util.Date createDate;
    /**
     * 更新日期.
     */
    private java.util.Date updateDate;
    /**
     * 创建人主键.
     */
    private String createUserId;
    /**
     * 更新人主键.
     */
    private String updateUserId;

    /**
     * 获得用户主键的值.
     * @return userId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户主键的值.
     * @param userId parameter userId
     */
    public void setUserId(final String userId) {
        this.userId = userId;
    }

    /**
     * 获得用户名称的值.
     * @return userName
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置用户名称的值.
     * @param userName parameter userName
     */
    public void setUserName(final String userName) {
        this.userName = userName;
    }

    /**
     * 获得登录名称的值.
     * @return loginName
     */
    public String getLoginName() {
        return loginName;
    }

    /**
     * 设置登录名称的值.
     * @param loginName parameter loginName
     */
    public void setLoginName(final String loginName) {
        this.loginName = loginName;
    }

    /**
     * 获得登录密码的值.
     * @return loginPassword
     */
    public String getLoginPassword() {
        return loginPassword;
    }

    /**
     * 设置登录密码的值.
     * @param loginPassword parameter loginPassword
     */
    public void setLoginPassword(final String loginPassword) {
        this.loginPassword = loginPassword;
    }

    /**
     * 获得用户性别的值.
     * @return userSex
     */
    public String getUserSex() {
        return userSex;
    }

    /**
     * 设置用户性别的值.
     * @param userSex parameter userSex
     */
    public void setUserSex(final String userSex) {
        this.userSex = userSex;
    }

    /**
     * 获得用户电话的值.
     * @return userPhone
     */
    public String getUserPhone() {
        return userPhone;
    }

    /**
     * 设置用户电话的值.
     * @param userPhone parameter userPhone
     */
    public void setUserPhone(final String userPhone) {
        this.userPhone = userPhone;
    }

    /**
     * 获得用户地址的值.
     * @return userAddress
     */
    public String getUserAddress() {
        return userAddress;
    }

    /**
     * 设置用户地址的值.
     * @param userAddress parameter userAddress
     */
    public void setUserAddress(final String userAddress) {
        this.userAddress = userAddress;
    }

    /**
     * 获得应用标志的值.
     * @return usedFlag
     */
    public String getUsedFlag() {
        return usedFlag;
    }

    /**
     * 设置应用标志的值.
     * @param usedFlag parameter usedFlag
     */
    public void setUsedFlag(final String usedFlag) {
        this.usedFlag = usedFlag;
    }

    /**
     * 获得创建日期的值.
     * @return createDate
     */
    public java.util.Date getCreateDate() {
        return createDate;
    }

    /**
     * 设置创建日期的值.
     * @param createDate parameter createDate
     */
    public void setCreateDate(final java.util.Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获得更新日期的值.
     * @return updateDate
     */
    public java.util.Date getUpdateDate() {
        return updateDate;
    }

    /**
     * 设置更新日期的值.
     * @param updateDate parameter updateDate
     */
    public void setUpdateDate(final java.util.Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 获得创建人主键的值.
     * @return createUserId
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人主键的值.
     * @param createUserId parameter createUserId
     */
    public void setCreateUserId(final String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获得更新人主键的值.
     * @return updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 设置更新人主键的值.
     * @param updateUserId parameter updateUserId
     */
    public void setUpdateUserId(final String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * @return the orgId
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * @param orgId the orgId to set
     */
    public void setOrgId(final String orgId) {
        this.orgId = orgId;
    }

    /**
     * @return the newPassword
     */
    public String getNewPassword() {
        return newPassword;
    }

    /**
     * @param newPassword the newPassword to set
     */
    public void setNewPassword(final String newPassword) {
        this.newPassword = newPassword;
    }

    /**
     * @return the newPasswordConfirm
     */
    public String getNewPasswordConfirm() {
        return newPasswordConfirm;
    }

    /**
     * @param newPasswordConfirm the newPasswordConfirm to set
     */
    public void setNewPasswordConfirm(final String newPasswordConfirm) {
        this.newPasswordConfirm = newPasswordConfirm;
    }
}
